# Generated by Selenium IDE
import pytest
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys


class TestLogin():
    def setup_method(self, method):
        self.driver = webdriver.Chrome()
        self.vars = {}

    def teardown_method(self, method):
        self.driver.quit()

    @pytest.mark.parametrize("login, haslo", [('a@wp.pl', 'aa'), ('a@wp.pl', 'bb')])
    def test_login(self, login, haslo):
        # Test name: login
        # Step # | name | target | value
        # 1 | open | https://www.automationexercise.com/ |
        self.driver.get("https://www.automationexercise.com/")
        # 2 | setWindowSize | 1366x720 |
        self.driver.maximize_window()
        # self.driver.set_window_size(1366, 720)
        # 3 | click | linkText=Signup / Login |
        self.driver.find_element(By.LINK_TEXT, "Signup / Login").click()
        # 4 | click | name=email |
        self.driver.find_element(By.NAME, "email").click()
        # 5 | type | name=email | a@wp.pl
        self.driver.find_element(By.NAME, "email").send_keys(login)
        # 6 | sendKeys | name=email | ${KEY_ENTER}
        self.driver.find_element(By.NAME, "email").send_keys(Keys.ENTER)
        # 7 | type | name=password | aa
        self.driver.find_element(By.NAME, "password").send_keys(haslo)
        # 8 | sendKeys | name=password | ${KEY_ENTER}
        self.driver.find_element(By.NAME, "password").send_keys(Keys.ENTER)
        # 9 | click | linkText=Logout |
        elements = self.driver.find_elements(By.LINK_TEXT, "Logout")
        assert len(elements) > 0
        self.driver.find_element(By.LINK_TEXT, "Logout").click()
